<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="list-workitems">
    <div class="row" th:if="${not #lists.isEmpty(myworkitems)}" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_ASSIGNED_TO_ME_WIDGET)">
      <div class="ui grid">
        <div class="column">
          <h3 class="ui header" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MY_TASKS}}"></span>
          </h3>
          <div class="ui divider"></div>
          <th:block th:replace="common/fragments/elements :: workitems-list(${myworkitems})" />
        </div>
      </div>
    </div>
    <div class="row" th:if="${not #lists.isEmpty(workitems)}" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_CREATED_BY_ME_WIDGET)">
      <div class="ui grid">
        <div class="column">
          <h3 class="ui header" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CREATEDBY_ME}}"></span>
          </h3>
          <div class="ui divider"></div>
          <th:block th:replace="common/fragments/elements :: workitems-list(${workitems})" />
        </div>
      </div>
    </div>
    <div class="row" th:if="${not #lists.isEmpty(workitemsnotassigned)}" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_UNASSIGNED_WIDGET)">
      <div class="ui grid">
        <div class="column">
          <h3 class="ui header" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TODO_TASKS}}"></span>
          </h3>
          <div class="ui divider"></div>
          <th:block th:replace="common/fragments/elements :: workitems-list(${workitemsnotassigned})" />
        </div>
      </div>
    </div>
  </div>
</body>
</html>